MonoMac 0.0.0.0 MonoMac.AudioToolbox.AudioQueue The output AudioQueue.

Use this class to playback audio.

You will usually create an OutputAudioQueue instance and allocate a number of buffers that you will use to fill in with data. Once a buffer is filled, the buffer is enqueued and when the OutputAudioQueue has finished playing it back, the OutputCompleted event will be raised.

See the StreamingAudio sample program in monotouch-samples for an example program.

StreamingAudio
- Constructor
  0.0.0.0
  Stream description.
  Creates an OutputAudioQueue.
  Usually the stream description is fetched from an AudioFile or an AudioStreamFile
- Constructor
  0.0.0.0
  Stream description.
  The run loop in which the OnOutputCompleted method and the OutputCompleted event are raised, if you pass null, this uses an internal thread.
  The run mode for the run loop.
  Creates an OutputAudioQueue, specifying on which run loop events are delivered.
  Usually the stream description is fetched from an AudioFile or an AudioStreamFile.
- Constructor
  0.0.0.0
  Stream description.
  The run loop in which the OnOutputCompleted method and the OutputCompleted event are raised, if you pass null, this uses an internal thread.
  The run mode for the run loop.
  Creates an OutputAudioQueue, specifying on which run loop events are delivered.
  Usually the stream description is fetched from an AudioFile or an AudioStreamFile.
- Method
  0.0.0.0
  MonoMac.AudioToolbox.AudioQueueStatus Disables the offline renderer. AudioQueueStatus.Ok on success, otherwise the error.
- Method
  0.0.0.0
  System.Void `` The specified audio buffer that has completed playback. This method is invoked when a buffer has finished playing.

  At this point you would typically feed another one of the data buffers into the AudioQueue system.

  The implementation on OutputAudioQueue will raise the OutputCompleted event. If you derive from this class, you do not need to invoke this base method, unless you want it to raise the OutputCompleted event. The method is exposed as a protected method to allow developers to directly plug into the pipeline when no event dispatching is required.

- Event
  0.0.0.0
  System.EventHandler<MonoMac.AudioToolbox.OutputCompletedEventArgs> Event raised when an audio buffer has completed playing.
- Method
  0.0.0.0
  MonoMac.AudioToolbox.AudioQueueStatus `` `` `` The timestamp of the first frame to render. The audio queue buffer to render to. The number of frames to render. Writes audio data to an audio buffer, instead of to a device. AudioQueueStatus.Ok on success, otherwise the error.
- Method
  0.0.0.0
  MonoMac.AudioToolbox.AudioQueueStatus `` `` The audio format to use for offline rendering. The channel layout to use for offline rendering. Optional. Enables offline rendering by setting the audio format and optionally the channel layout to use when rendering. AudioQueueStatus.Ok on success, otherwise the error.